Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 982965 - channel.software.listErrata - Result structure missing errata ID [NEEDINFO]
Summary: channel.software.listErrata - Result structure missing errata ID
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/API
Version: _unset
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Bernleithner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-10 08:41 UTC by Arun Babu Neelicattu
Modified: 2017-07-05 15:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-05 15:18:47 UTC
Target Upstream Version:
aneelica: needinfo? (tdeanton)


Attachments (Terms of Use)

Description Arun Babu Neelicattu 2013-07-10 08:41:45 UTC
The result array structure does not contain the errata id as indicated by the documentation at [1].

The following code,

import sys, xmlrpclib

server = xmlrpclib.Server('https://rhn.redhat.com/rhn/rpc/api')
token = server.auth.login(username, password)
results = server.channel.software.listErrata(token, 'jb-ews-2-x86_64-server-6-rpm')
for key in results[0].keys():
    print(key)

Outputs:
errata_update_date
errata_advisory_type
errata_synopsis
errata_advisory
errata_last_modified_date
errata_issue_date

Expected Resolution:
Either errata_id is returned in the structure or (if not available already) a provision to map errata name to ids is made available.


[1] https://access.redhat.com/site/documentation/en-US/Red_Hat_Network_Satellite/5.5/html/API_Overview/files/html/handlers/ChannelSoftwareHandler.html#listErrata

Comment 1 Arun Babu Neelicattu 2014-02-10 10:43:11 UTC
Any update on this one?

Comment 3 Arun Babu Neelicattu 2014-03-13 01:16:24 UTC
@Shea, Can we get this prioritized please?

Comment 5 Thomas "Shea" DeAntonio 2017-07-05 15:18:47 UTC
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).


Note You need to log in before you can comment on or make changes to this bug.